Subject: bug#21376: 25.0.50; Python tests fail on MS-Windows -- issues with the prompt

From: [email-masked]
Date: Sun, 20 Aug 2017 16:50:29 -0400

tags 21376 fixed
close 21376 26.1
quit

Eli Zaretskii <[email-masked]> writes:

>> From: Noam Postavsky <[email-masked]>
>> Date: Wed, 16 Aug 2017 12:59:45 -0400
>> Cc: [email-masked], Fabián E. Gallina <[email-masked]>
>> 
>> Is it possible you didn't recompile python.elc after applying the patch?
>
> Sorry, I was blind: I thought your patch changed python-tests.el, not
> python.el.  Now that I compiled python.el, these tests pass.
>
> Sorry for my confusion, and thanks for fixing this.

No problem, glad we cleared it up.  I've pushed to master.

[1: 9714545675]: 2017-08-20 16:43:37 -0400
  Work around w32-python-2.x bug to fix prompt detection (Bug#21376)
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=9714545675af046d730352eb03dc00e93b6f7d3c